Subject: Re: rpm 4.0.2 Build Problem (was Re: Installing Berkeley DB 3.2.9)
From: Jason Tishler <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Jul 2001 16:55:59 -0400

Chuck,

On Fri, Jul 13, 2001 at 03:15:26PM -0400, Charles S. Wilson wrote:
> Jason Tishler wrote:
> > Note that the current version does the same thing that your 2.7.7 did.
> > 
> > Unfortunately, the rpm source has hardcoded constructs such as:
> > 
> >     #include <db3/db.h>
> 
> Since rpm is more-or-less maintained by Red Hat, I wouldn't be surprised 
> if the official rpm source code depended on the installed structure of 
> the db3/db2/db1 libraries under Red Hat's "harmonization".
> 
> > I was able to workaround this problem with mkdirs and symlinks, but I did
> > this after configure.  Possibly by not having the environment "correct"
> > before I ran configure caused rpm to configure itself improperly.
> 
> Absolutely.  If you rearrange your directory structure between 
> "configuring" and "making" stuff will definitely break.

I followed your advice and read the spec file from the Red Hat db 3.2.9
RPM.  I used the information gleaned to post process make install to
match the harmonization mentioned above.  Then I reran configure on rpm.
Finally, after some head banging I managed to "build" rpm.

It appears that the rpm (4.0.2) package is very Linux centric.  I will
entertain posting a patch once I figure out the right way to correct all
of the issue.  I guess that it is time to learn automake.  Sigh...

BTW, the test suite also seems very Linux centric -- hardcoded paths,
expected output such as "ld-linux.so.2", etc.  Did you every try to run
the test suite for your rpm 3.0.3 package?  If so, what were the results?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/